Bug 51936 - laptop boots with devices with IRQ 0 (sndconfig gives error for ES1988 Allegro-1 card)
laptop boots with devices with IRQ 0 (sndconfig gives error for ES1988 Allegr...
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-08-17 01:20 EDT by Carl T. Miller
Modified: 2014-03-16 22:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-24 07:13:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
lspci -vv (7.18 KB, text/plain)
2001-08-24 07:13 EDT, Warren Togami
no flags Details

  None (edit)
Description Carl T. Miller 2001-08-17 01:20:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010725

Description of problem:
I have an ES1988 Allegro-1 card built into my laptop.  When I run
sndconfig, it says it found a PCI card and identifies it, then it
says the card is supported, but mine is disabled.  It recommends
setting 'PNP OS' to 'No' in the BIOS.  My BIOS doesn't give me that
option.  At the ESS website, they say their cards are all SB 
compatable, but I don't know how to tell sndconfig to use the SB

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run sndconfig

Actual Results:  It gave the messages as described above.

Expected Results:  It would install the right modules, give a good message,
and exit.

Additional info:
Comment 1 Bill Nottingham 2001-08-17 10:47:22 EDT
Can you post the output of lspci -vn?
Comment 2 Warren Togami 2001-08-24 07:11:37 EDT
I have another notebook with the ES1988 Allegro-1 with the exact same problem.
HP Pavillion n5470 Notebook
(very similar notebook)
Comment 3 Warren Togami 2001-08-24 07:13:13 EDT
Created attachment 29353 [details]
lspci -vv
Comment 4 Bill Nottingham 2001-08-24 11:50:09 EDT
Your device is not enabled. You need to frob the BIOS or machine somehow so it has
an IRQ assigned to it. (If you look at the lspci output, the device has IRQ 0
assigned to it...)
Comment 5 Warren Togami 2001-08-24 19:00:28 EDT
We do not have the BIOS options to a disable Plug and Play OS, or to manually 
assign resources to devices.  We need a pure software work-around for this 
problem, or else sound will not be working on many of these notebooks.
Comment 6 Warren Togami 2001-09-03 02:38:13 EDT
Can you at least tell me where to find a mailing list, sites or developers of 
Linux sound drivers?  It is currently IMPOSSIBLE to use this sound device on 
these many new notebook computers due to the lack of the BIOS option to enable 
the device.

(disable Plug and Play)
Comment 7 Bill Nottingham 2001-09-03 11:57:28 EDT
kernel drivers would be at linux-kernel@vger.kernel.org, or

You *may* try enabling ACPI in your kernel, but I don't think the ACPI
configuration infrastructure is complete enough for this yet.

Note You need to log in before you can comment on or make changes to this bug.